%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version: 2.22.0
Release: 2%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0: https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz
#patches_ignore=DROP-IN-RPM
#patches_base=2.22.0
Patch0001: 0001-Document-the-various-global-filesystem-options.patch
Patch0002: 0002-Allow-specification-of-filesystem-journal-size.patch
Patch0003: 0003-Support-defining-the-free-space-in-the-image.patch
Patch0004: 0004-openssh-server-harden-sshd-config.patch
Patch0005: 0005-Use-fedora-release-common-for-fedora-30.patch
Patch0006: 0006-Use-x86-architeture-specific-grub2-packages-for-RHEL.patch

AutoReqProv: no

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-d2to1
BuildRequires: python2-pbr

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: python-babel
Requires: tar
Requires: git
Requires: dib-utils
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: /usr/bin/python
Requires: python(abi) = 2.7
Requires: python-flake8
Requires: python-networkx
Requires: python2-pbr
Requires: python2-six
Requires: python2-stevedore
Requires: PyYAML

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{python2_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Mon Sep 23 2019 Bob Fournier <bfournie@redhat.com> 2.22.0-2
- Use x86 architeture specific grub2 packages for RHEL (rhbz#1754514)

* Tue May 21 2019 Thierry Vignaud <tvignaud@redhat.com> 2.22.0-1
- Update to 2.22.0
- Use fedora-release-common for fedora 30+
- openssh-server: harden sshd config
- Support defining the free space in the image
- Allow specification of filesystem journal size
- Document the various global filesystem options

* Mon Mar 18 2019 Steve Linabery <slinaber@redhat.com> 2.20.3-1
- Update to 2.20.3

* Mon Feb 18 2019 Steve Linabery <slinaber@redhat.com> 2.19.0-1
- Update to 2.19.0
- support cracklib in pam for Gentoo's musl profile
- Make sure $TMP_BUILD_DIR/mnt is owned by root
- [Core] Change openstack-dev to openstack-discuss.
- Delete the duplicate words in  50-zipl
- Change phase to check for dracut-regenerate in iscsi-boot
- Add policycoreutils-python-utils to bindep
- Only cap pylint for python2
- Revert "Adjust setup.cfg whitespace"

